import { IconProps } from '@iconify/react/dist/iconify.js';

export type SharedIconProps = {
  height?: number | null;
  aspect?: number | null;
  stroke?: number | null;
};

export const defaultIconProps: Partial<IconProps> = {
  height: 24,
  stroke: 0.5,
};

export const smallIconProps: Partial<IconProps> = {
  height: 16,
  stroke: 0.5,
};
