import { useAtomValue } from 'jotai';
import { FC } from 'react';
import { DeviceState } from '../../context/EstimContext';
import IconBattery from '../../icons/IconBattery';
import IconRssi from '../../icons/IconRssi';

const DeviceStates: FC = () => {
  const deviceState = useAtomValue(DeviceState);

  return (
    <>
      <IconRssi height={16} level={deviceState?.rssi} />
      <IconBattery height={16} level={deviceState?.battery} />
    </>
  );
};

export default DeviceStates;
